| Home | Libraries | People | FAQ | More

##### array::clear

Clear the contents.

###### Synopsis

    void
    clear();

###### Description

Erases all elements from the container. After this call, `size()` returns zero but `capacity()` is unchanged. All references, pointers, or iterators referring to contained elements are invalidated. Any past-the-end iterators are also invalidated.

###### Complexity

Linear in `size()`.

###### Exception Safety

No-throw guarantee.